package com.change.freevpn.models;

import com.google.gson.annotations.SerializedName;

public class VpnServer {
    private int id;
    
    @SerializedName("server_name")
    private String serverName;
    
    private String country;
    
    @SerializedName("flag_url")
    private String flagUrl;
    
    private String status;
    
    @SerializedName("ovpn_config")
    private String ovpnConfig;
    
    private transient boolean isConnected = false;
    private transient boolean isSelected = false;
    private transient int ping = 0;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getServerName() {
        return serverName;
    }

    public void setServerName(String serverName) {
        this.serverName = serverName;
    }

    public String getCountry() {
        return country;
    }

    public void setCountry(String country) {
        this.country = country;
    }

    public String getFlagUrl() {
        return flagUrl;
    }

    public void setFlagUrl(String flagUrl) {
        this.flagUrl = flagUrl;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getOvpnConfig() {
        return ovpnConfig;
    }

    public void setOvpnConfig(String ovpnConfig) {
        this.ovpnConfig = ovpnConfig;
    }

    public boolean isConnected() {
        return isConnected;
    }

    public void setConnected(boolean connected) {
        isConnected = connected;
    }

    public boolean isSelected() {
        return isSelected;
    }

    public void setSelected(boolean selected) {
        isSelected = selected;
    }

    public int getPing() {
        return ping;
    }

    public void setPing(int ping) {
        this.ping = ping;
    }
}
